<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:18 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>HwCommunicationPackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwCommunicationPackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwCommunicationPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="HwCommunicationPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication</div>
<h2 title="Interface HwCommunicationPackage.Literals" class="title">Interface HwCommunicationPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication">HwCommunicationPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">HwCommunicationPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_ARBITER">HW_ARBITER</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwArbiterImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Hw Arbiter</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_ARBITER__CONTROLLED_MEDIAS">HW_ARBITER__CONTROLLED_MEDIAS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Controlled Medias</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_BRIDGE">HW_BRIDGE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwBridgeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Hw Bridge</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_BRIDGE__SIDES">HW_BRIDGE__SIDES</a></span></code>
<div class="block">The meta object literal for the '<em><b>Sides</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_BUS">HW_BUS</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwBusImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Hw Bus</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_BUS__ADRESS_WIDTH">HW_BUS__ADRESS_WIDTH</a></span></code>
<div class="block">The meta object literal for the '<em><b>Adress Width</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_BUS__IS_SERIAL">HW_BUS__IS_SERIAL</a></span></code>
<div class="block">The meta object literal for the '<em><b>Is Serial</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_BUS__IS_SYNCHRONOUS">HW_BUS__IS_SYNCHRONOUS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Is Synchronous</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_BUS__WORD_WIDTH">HW_BUS__WORD_WIDTH</a></span></code>
<div class="block">The meta object literal for the '<em><b>Word Width</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_COMMUNICATION_RESOURCE">HW_COMMUNICATION_RESOURCE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Resource</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_END_POINT">HW_END_POINT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwEndPointImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Hw End Point</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_END_POINT__CONNECTED_TO">HW_END_POINT__CONNECTED_TO</a></span></code>
<div class="block">The meta object literal for the '<em><b>Connected To</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_MEDIA">HW_MEDIA</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwMediaImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Hw Media</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_MEDIA__ARBITERS">HW_MEDIA__ARBITERS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Arbiters</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html#HW_MEDIA__BAND_WIDTH">HW_MEDIA__BAND_WIDTH</a></span></code>
<div class="block">The meta object literal for the '<em><b>Band Width</b></em>' attribute feature.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="HW_COMMUNICATION_RESOURCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COMMUNICATION_RESOURCE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_COMMUNICATION_RESOURCE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Resource</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code>HwCommunicationResourceImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationPackageImpl.html#getHwCommunicationResource--"><code>HwCommunicationPackageImpl.getHwCommunicationResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_ARBITER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_ARBITER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_ARBITER</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwArbiterImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Hw Arbiter</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwArbiterImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code>HwArbiterImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationPackageImpl.html#getHwArbiter--"><code>HwCommunicationPackageImpl.getHwArbiter()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_ARBITER__CONTROLLED_MEDIAS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_ARBITER__CONTROLLED_MEDIAS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference HW_ARBITER__CONTROLLED_MEDIAS</pre>
<div class="block">The meta object literal for the '<em><b>Controlled Medias</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_MEDIA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_MEDIA</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_MEDIA</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwMediaImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Hw Media</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwMediaImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code>HwMediaImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationPackageImpl.html#getHwMedia--"><code>HwCommunicationPackageImpl.getHwMedia()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_MEDIA__BAND_WIDTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_MEDIA__BAND_WIDTH</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_MEDIA__BAND_WIDTH</pre>
<div class="block">The meta object literal for the '<em><b>Band Width</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_MEDIA__ARBITERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_MEDIA__ARBITERS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference HW_MEDIA__ARBITERS</pre>
<div class="block">The meta object literal for the '<em><b>Arbiters</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_BUS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_BUS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_BUS</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwBusImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Hw Bus</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwBusImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code>HwBusImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationPackageImpl.html#getHwBus--"><code>HwCommunicationPackageImpl.getHwBus()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_BUS__ADRESS_WIDTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_BUS__ADRESS_WIDTH</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_BUS__ADRESS_WIDTH</pre>
<div class="block">The meta object literal for the '<em><b>Adress Width</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_BUS__WORD_WIDTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_BUS__WORD_WIDTH</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_BUS__WORD_WIDTH</pre>
<div class="block">The meta object literal for the '<em><b>Word Width</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_BUS__IS_SYNCHRONOUS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_BUS__IS_SYNCHRONOUS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_BUS__IS_SYNCHRONOUS</pre>
<div class="block">The meta object literal for the '<em><b>Is Synchronous</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_BUS__IS_SERIAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_BUS__IS_SERIAL</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute HW_BUS__IS_SERIAL</pre>
<div class="block">The meta object literal for the '<em><b>Is Serial</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_BRIDGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_BRIDGE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_BRIDGE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwBridgeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Hw Bridge</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwBridgeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code>HwBridgeImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationPackageImpl.html#getHwBridge--"><code>HwCommunicationPackageImpl.getHwBridge()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_BRIDGE__SIDES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_BRIDGE__SIDES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference HW_BRIDGE__SIDES</pre>
<div class="block">The meta object literal for the '<em><b>Sides</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_END_POINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_END_POINT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass HW_END_POINT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwEndPointImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code><em>Hw End Point</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwEndPointImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication.impl"><code>HwEndPointImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/impl/HwCommunicationPackageImpl.html#getHwEndPoint--"><code>HwCommunicationPackageImpl.getHwEndPoint()</code></a></dd>
</dl>
</li>
</ul>
<a name="HW_END_POINT__CONNECTED_TO">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HW_END_POINT__CONNECTED_TO</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference HW_END_POINT__CONNECTED_TO</pre>
<div class="block">The meta object literal for the '<em><b>Connected To</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwCommunicationPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwLogical.HwCommunication"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwLogical/HwCommunication/HwCommunicationPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="HwCommunicationPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
